SuSE 11 Security Update : MySQL (SAT Patch Number 2317)

Medium Nessus Plugin ID 50935

Synopsis

The remote SuSE 11 host is missing one or more security updates.

Description

Updated MySQL packages fix the following bugs :

- upstream #47320 - checking server certificates.
(CVE-2009-4028)

- upstream #48291 - error handling in subqueries.
(CVE-2009-4019)

- upstream #47780 - preserving null_value flag in GeomFromWKB(). (CVE-2009-4019)

- upstream #39277 - symlink behaviour fixed.
(CVE-2008-7247)

- upstream #32167 - symlink behaviour refixed (CVE-2009-4030)

Solution

Apply SAT patch number 2317.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=557669

http://support.novell.com/security/cve/CVE-2008-7247.html

http://support.novell.com/security/cve/CVE-2009-4019.html

http://support.novell.com/security/cve/CVE-2009-4028.html

http://support.novell.com/security/cve/CVE-2009-4030.html

Plugin Details

Severity: Medium

ID: 50935

File Name: suse_11_libmysqlclient-devel-100429.nasl

Version: Revision: 1.6

Type: local

Agent: unix

Published: 2010/12/02

Updated: 2016/12/21

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:libmysqlclient15, p-cpe:/a:novell:suse_linux:11:libmysqlclient15-32bit, p-cpe:/a:novell:suse_linux:11:libmysqlclient_r15, p-cpe:/a:novell:suse_linux:11:libmysqlclient_r15-32bit, p-cpe:/a:novell:suse_linux:11:mysql, p-cpe:/a:novell:suse_linux:11:mysql-Max, p-cpe:/a:novell:suse_linux:11:mysql-client, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2010/04/29

Reference Information

CVE: CVE-2008-7247, CVE-2009-4019, CVE-2009-4028, CVE-2009-4030

CWE: 20, 59